### Method

# Adw Toast set_action_target

#### Declaration [src]

    void
    adw_toast_set_action_target (
      AdwToast* self,
      const char* format_string,
      ...
    )

#### Description [src]

Sets the parameter for action invocations.

This is a convenience function that calls `g_variant_new()` for `format_string` and uses the result to call `adw_toast_set_action_target_value()`.

If you are setting a string-valued target and want to set the action name at the same time, you can use `adw_toast_set_detailed_action_name()`.

Available since: | 1.0
This method is not directly available to language bindings.

Sets property | `Adw.Toast:action-target`

#### Parameters

`format_string` | `const char*`
| A variant format string.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`...` | ``
| Arguments appropriate for `target_format`.